## org.apache.batik.dom.svg
Interface SVGDocumentFactory

All Superinterfaces:
  DocumentFactory

All Known Implementing Classes:
  SAXSVGDocumentFactory

public interface SVGDocumentFactory
extends DocumentFactory

This interface represents an object which can build a SVGDocument.

Method Summary
`SVGDocument` `createSVGDocument(java.lang.String uri)` Creates a SVG Document instance.
`SVGDocument` `createSVGDocument(java.lang.String uri, java.io.InputStream is)` Creates a SVG Document instance.
`SVGDocument` `createSVGDocument(java.lang.String uri, java.io.Reader r)` Creates a SVG Document instance.

Methods inherited from interface org.apache.batik.dom.util.DocumentFactory
`createDocument, createDocument, createDocument, createDocument, getDocumentDescriptor, isValidating, setValidating`

Method Detail

### createSVGDocument

    public SVGDocument createSVGDocument(java.lang.String uri)
                                  throws java.io.IOException

  Creates a SVG Document instance.

  Parameters:
    `uri` - The document URI.
  Throws:
    `java.io.IOException` - if an error occured while reading the document.

### createSVGDocument

    public SVGDocument createSVGDocument(java.lang.String uri,
                                         java.io.InputStream is)
                                  throws java.io.IOException

  Creates a SVG Document instance.

  Parameters:
    `uri` - The document URI.
    `is` - The document input stream.
  Throws:
    `java.io.IOException` - if an error occured while reading the document.

### createSVGDocument

    public SVGDocument createSVGDocument(java.lang.String uri,
                                         java.io.Reader r)
                                  throws java.io.IOException

  Creates a SVG Document instance.

  Parameters:
    `uri` - The document URI.
    `r` - The document reader.
  Throws:
    `java.io.IOException` - if an error occured while reading the document.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.